<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/i2c.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">i2c.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series I2C driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/df7/i2c_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2i2c_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d5/daf/i2c_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga971d21035ba4ae2ef8287ed2a8c5f730"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">I2C_STA</a>&#160;&#160;&#160;0x08</td></tr>
<tr class="separator:ga971d21035ba4ae2ef8287ed2a8c5f730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ec29c2b8a3f118cd6a4ad5b7b89be81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">I2C_STO</a>&#160;&#160;&#160;0x04</td></tr>
<tr class="separator:ga3ec29c2b8a3f118cd6a4ad5b7b89be81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga086ce98cdfb4f65742d3eec098d3e273"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga086ce98cdfb4f65742d3eec098d3e273">I2C_SI</a>&#160;&#160;&#160;0x10</td></tr>
<tr class="separator:ga086ce98cdfb4f65742d3eec098d3e273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a6f5731d5e5e7b21e5c01881d62a1b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">I2C_AA</a>&#160;&#160;&#160;0x02</td></tr>
<tr class="separator:ga3a6f5731d5e5e7b21e5c01881d62a1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga032982f18bb75c985d03f28bf99a7bff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga032982f18bb75c985d03f28bf99a7bff">I2C_GCMODE_ENABLE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga032982f18bb75c985d03f28bf99a7bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa15690304de24671da7e5282797bd31a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa15690304de24671da7e5282797bd31a">I2C_GCMODE_DISABLE</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:gaa15690304de24671da7e5282797bd31a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga07e8bf0b7e1eb66c75b49064310b50e1">I2C_SET_CONTROL_REG</a>(i2c,  u8Ctrl)</td></tr>
<tr class="memdesc:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro sets the I2C control register at one time.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga07e8bf0b7e1eb66c75b49064310b50e1">More...</a><br /></td></tr>
<tr class="separator:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab44eef74686218d541e066124145ba34"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab44eef74686218d541e066124145ba34">I2C_START</a>(i2c)</td></tr>
<tr class="memdesc:gab44eef74686218d541e066124145ba34"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro only set START bit to the control register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab44eef74686218d541e066124145ba34">More...</a><br /></td></tr>
<tr class="separator:gab44eef74686218d541e066124145ba34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18ecbaa3893ead749626ec3cbe6d1f50">I2C_GET_DATA</a>(i2c)</td></tr>
<tr class="memdesc:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns the data stored in data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18ecbaa3893ead749626ec3cbe6d1f50">More...</a><br /></td></tr>
<tr class="separator:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8acb3072a52db55d5eb74542cd683a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8acb3072a52db55d5eb74542cd683a9">I2C_SET_DATA</a>(i2c,  u8Data)</td></tr>
<tr class="memdesc:gaa8acb3072a52db55d5eb74542cd683a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro writes the data to data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8acb3072a52db55d5eb74542cd683a9">More...</a><br /></td></tr>
<tr class="separator:gaa8acb3072a52db55d5eb74542cd683a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga211b1c0cf5431840203935cfd5d0813d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga211b1c0cf5431840203935cfd5d0813d">I2C_GET_STATUS</a>(i2c)</td></tr>
<tr class="memdesc:ga211b1c0cf5431840203935cfd5d0813d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns the status of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga211b1c0cf5431840203935cfd5d0813d">More...</a><br /></td></tr>
<tr class="separator:ga211b1c0cf5431840203935cfd5d0813d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga664d5a97c7cdee7d320355b61ec22902"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga664d5a97c7cdee7d320355b61ec22902">I2C_GET_TIMEOUT_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga664d5a97c7cdee7d320355b61ec22902"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga664d5a97c7cdee7d320355b61ec22902">More...</a><br /></td></tr>
<tr class="separator:ga664d5a97c7cdee7d320355b61ec22902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa63a0d54048dd325306f3642c1d8915a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa63a0d54048dd325306f3642c1d8915a">I2C_CLEAR_TIMEOUT_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gaa63a0d54048dd325306f3642c1d8915a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa63a0d54048dd325306f3642c1d8915a">More...</a><br /></td></tr>
<tr class="separator:gaa63a0d54048dd325306f3642c1d8915a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaafe5fd3b57310f61c978155a7d3f3dba">I2C_GET_WAKEUP_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns wakeup flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaafe5fd3b57310f61c978155a7d3f3dba">More...</a><br /></td></tr>
<tr class="separator:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3e70164838782171d0b18268f4e0296"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3e70164838782171d0b18268f4e0296">I2C_GET_WAKEUP_ACK_DONE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gac3e70164838782171d0b18268f4e0296"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns acknowledge status after waking up.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3e70164838782171d0b18268f4e0296">More...</a><br /></td></tr>
<tr class="separator:gac3e70164838782171d0b18268f4e0296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86c5a22eb07bb08aa68462c7a3501140"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga86c5a22eb07bb08aa68462c7a3501140">I2C_CLEAR_WAKEUP_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga86c5a22eb07bb08aa68462c7a3501140"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears wakeup flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga86c5a22eb07bb08aa68462c7a3501140">More...</a><br /></td></tr>
<tr class="separator:ga86c5a22eb07bb08aa68462c7a3501140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac22d4999dd90624fb9941b93c31543ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac22d4999dd90624fb9941b93c31543ad">I2C_CLEAR_WAKEUP_ACK_DONE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gac22d4999dd90624fb9941b93c31543ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears acknowledge status after waking up. And also release SCK pin after clearing this flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac22d4999dd90624fb9941b93c31543ad">More...</a><br /></td></tr>
<tr class="separator:gac22d4999dd90624fb9941b93c31543ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9faca3dc728a4c9c87dbf4c1a9db1d66">I2C_DISABLE_FIFO</a>(i2c)</td></tr>
<tr class="memdesc:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables the FIFO function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9faca3dc728a4c9c87dbf4c1a9db1d66">More...</a><br /></td></tr>
<tr class="separator:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga44e5a9b2699b7075e29e5c15c7eb143a">I2C_ENABLE_FIFO</a>(i2c)</td></tr>
<tr class="memdesc:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables the FIFO function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga44e5a9b2699b7075e29e5c15c7eb143a">More...</a><br /></td></tr>
<tr class="separator:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacacc2531c5b645bd772d203c79eddf9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaacacc2531c5b645bd772d203c79eddf9">I2C_DISABLE_CLOCK_STRETCH</a>(i2c)</td></tr>
<tr class="memdesc:gaacacc2531c5b645bd772d203c79eddf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables clock stretch function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaacacc2531c5b645bd772d203c79eddf9">More...</a><br /></td></tr>
<tr class="separator:gaacacc2531c5b645bd772d203c79eddf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba11c03cde7cef9b5f719f956de107e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba11c03cde7cef9b5f719f956de107e4">I2C_ENABLE_CLOCK_STRETCH</a>(i2c)</td></tr>
<tr class="memdesc:gaba11c03cde7cef9b5f719f956de107e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables clock stretch function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba11c03cde7cef9b5f719f956de107e4">More...</a><br /></td></tr>
<tr class="separator:gaba11c03cde7cef9b5f719f956de107e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49c897474a06bd2e6c5a5a8196c1900b">I2C_DISABLE_OVERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables over-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49c897474a06bd2e6c5a5a8196c1900b">More...</a><br /></td></tr>
<tr class="separator:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad670b5e947410528045e16b863f69794"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad670b5e947410528045e16b863f69794">I2C_ENABLE_OVERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:gad670b5e947410528045e16b863f69794"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables over-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad670b5e947410528045e16b863f69794">More...</a><br /></td></tr>
<tr class="separator:gad670b5e947410528045e16b863f69794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga885a7306fabd9f2a9e26b88318162761"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga885a7306fabd9f2a9e26b88318162761">I2C_ENABLE_UNDERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga885a7306fabd9f2a9e26b88318162761"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables under-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga885a7306fabd9f2a9e26b88318162761">More...</a><br /></td></tr>
<tr class="separator:ga885a7306fabd9f2a9e26b88318162761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46c0dcd9aec6e8a0d7173d5ae3764c50">I2C_DISABLE_UNDERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables under-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46c0dcd9aec6e8a0d7173d5ae3764c50">More...</a><br /></td></tr>
<tr class="separator:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4dd9b04f7f3ed1bbb42a95770352c98e">I2C_GET_BUS_FREE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns I2C bus status flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4dd9b04f7f3ed1bbb42a95770352c98e">More...</a><br /></td></tr>
<tr class="separator:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadab79bb6a9a2f9645f71bcf8819384eb">I2C_GET_WAKEUP_RW_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns wakeup read/write flag. After system wake up, this bit indicates that the master wants to read or write in R/W bit of I2C data.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadab79bb6a9a2f9645f71bcf8819384eb">More...</a><br /></td></tr>
<tr class="separator:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="memItemLeft" align="right" valign="top">static __INLINE int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">I2C_STOP</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro only set STOP bit to the control register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">More...</a><br /></td></tr>
<tr class="separator:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="memItemLeft" align="right" valign="top">static __INLINE int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">I2C_WAIT_READY</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro will return when I2C module is ready.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">More...</a><br /></td></tr>
<tr class="separator:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8701d230c114b4b73757a08d0e23309"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gae8701d230c114b4b73757a08d0e23309"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make I2C module be ready and set the wanted bus clock.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">More...</a><br /></td></tr>
<tr class="separator:gae8701d230c114b4b73757a08d0e23309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga21c950fb4e57a2047b69cb811003fa9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function closes the I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">More...</a><br /></td></tr>
<tr class="separator:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">More...</a><br /></td></tr>
<tr class="separator:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29b31f62a804d8127bc8d480f5140856"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</td></tr>
<tr class="memdesc:ga29b31f62a804d8127bc8d480f5140856"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the control bit of the I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">More...</a><br /></td></tr>
<tr class="separator:ga29b31f62a804d8127bc8d480f5140856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the interrupt of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">More...</a><br /></td></tr>
<tr class="separator:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c48aae047e67d4484009b3f56f78e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga7c48aae047e67d4484009b3f56f78e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the interrupt (EI bit) of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">More...</a><br /></td></tr>
<tr class="separator:ga7c48aae047e67d4484009b3f56f78e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the real bus clock of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">More...</a><br /></td></tr>
<tr class="separator:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga270c59858dcbe767fdfa7aec2247aab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets bus frequency of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">More...</a><br /></td></tr>
<tr class="separator:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad181ccedfb141167da8faf8ef279ba92"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gad181ccedfb141167da8faf8ef279ba92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the interrupt flag of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">More...</a><br /></td></tr>
<tr class="separator:gad181ccedfb141167da8faf8ef279ba92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3ab4949dccb6092ca2727d29bb73949"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gac3ab4949dccb6092ca2727d29bb73949"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the interrupt flag of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">More...</a><br /></td></tr>
<tr class="separator:gac3ab4949dccb6092ca2727d29bb73949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87ee3e2d3837de97391187449bb66af2"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga87ee3e2d3837de97391187449bb66af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the status of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">More...</a><br /></td></tr>
<tr class="separator:ga87ee3e2d3837de97391187449bb66af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga94200ddc2f4cb709f477c40f955f1dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the data stored in data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">More...</a><br /></td></tr>
<tr class="separator:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Data)</td></tr>
<tr class="memdesc:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function writes the data to data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">More...</a><br /></td></tr>
<tr class="separator:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</td></tr>
<tr class="memdesc:ga5af4856de07386b9f5feaccf1151a2b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure slave address and enable GC mode.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">More...</a><br /></td></tr>
<tr class="separator:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d0b902bc72f1344225974be9cb04a68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</td></tr>
<tr class="memdesc:ga1d0b902bc72f1344225974be9cb04a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the mask of slave address. The corresponding address bit is "Don't Care".  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">More...</a><br /></td></tr>
<tr class="separator:ga1d0b902bc72f1344225974be9cb04a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8LongTimeout)</td></tr>
<tr class="memdesc:ga40af7f5199f9ecfeb12346dd06795e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables timeout function and configures DIV4 function to support long timeout.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">More...</a><br /></td></tr>
<tr class="separator:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables timeout function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">More...</a><br /></td></tr>
<tr class="separator:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3873e5f04b3bb39022790f79a11e207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gab3873e5f04b3bb39022790f79a11e207"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the wakeup function of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">More...</a><br /></td></tr>
<tr class="separator:gab3873e5f04b3bb39022790f79a11e207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga836afb05deae9304e7090e511be42592"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga836afb05deae9304e7090e511be42592"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the wakeup function of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">More...</a><br /></td></tr>
<tr class="separator:ga836afb05deae9304e7090e511be42592"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series I2C driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>11 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/10 9:03a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
